@import "~src/styles.scss";

$input-transition: 200ms ease-in-out;

.login-container {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}

.login-element {
  max-width: 300px;
  border-style: none;
  border-radius: 4px;
  padding: 10px;
  font-size: $font-size-medium;
  margin: 8px;
}

.login-input{
  background-color: $color-gray-9;
  color: $color-gray-1;
  border: solid 2px rgba(#fff, 0);

  &:focus{
    border: solid 2px $color-gray-5 !important;
    -webkit-transition:  $input-transition;
    -moz-transition: $input-transition;
    -o-transition: $input-transition;
    transition: $input-transition;
  }

  &:hover{
    border: solid 2px $color-gray-8;
    -webkit-transition:  $input-transition;
    -moz-transition: $input-transition;
    -o-transition: $input-transition;
    transition: $input-transition;
  }
}

.login-button{
  min-width: 120px;
  background-color: $color-gray-2;
  color: $color-gray-9;

  &:hover{
    background-color: $color-gray-4;
    cursor: pointer;
  }

  &:active{
    background-color: $color-gray-9;
    color: $color-gray-1
  }
}

